---
layout: release
date: 2022-03-21
tag: v0.6.0-rc-5c
---

## What's New
## 🔤 General
- [WIP] Init Docker Extension UI @theBeginner86 (#5242)
- [meshery] Add support for cilium adapter @hexxdump (#5238)
- Remove whitespace from k8s generated components @Revolyssup (#5226)
- Update swagger.yaml @zahertalab (#5216)
- Add Mario to CI maintainers list @alphaX86 (#5219)
- [DOCS] Maintainers file update @Chadha93 (#5223)
- get latest wasm filters from latest release @Revolyssup (#5176)
- [WIP] Meshery perf helm @hershd23 (#5166)
- handle panic when preference load test is not provided in UserPrefsHandler @sourikghosh (#5177)
- Update README.md - Content misaligned in the main readme file @RakeshPotnuru (#5189)
- Fix #5180 @Revolyssup (#5183)
- Set appropriate metadata.name for namespace @Revolyssup (#5175)
- Transition of role for Utkarsh @leecalcote (#5178)

## ⌨️ Meshery CLI

- [Meshery] added cilium as component @piyushsingariya (#5234)
- Fixed spacing on error message. @cpepper96 (#5230)
- [mesheryctl] Introducing `--port-forward` in `system dashboard` @piyushsingariya (#5053)

## 🖥 Meshery UI

- add cilium @warunicorn19 (#5235)
- [UI] Replicate Imports for Filters and Application similar to Patterns and fix e2e failure @SAEb-ai (#5213)
- More settings options in remote provider tab @theBeginner86 (#5217)
- fix: Accept the rjsf custom components from the Meshery Extension @Abhishek-kumar09 (#5225)
- [CI] UI: OS and Arch for fsevents package @leecalcote (#5224)
- [UI] Pattern update and delete handler call 🐛 bug fix  @Chadha93 (#5208)
- Revert "[UI] Replicate Imports for Filters and Applications similar to Patterns" @leecalcote (#5212)
- [UI] Replicate Imports for Filters and Applications similar to Patterns @SAEb-ai (#5203)
- removed deprecated grpc option @sourikghosh (#5200)
- Bump next from 11.1.3 to 12.1.0 in /provider-ui @dependabot (#5089)
- Bump relay-runtime from 11.0.2 to 13.1.1 in /ui @dependabot (#5135)
- [UI][Server] Update API endpoint call @Chadha93 (#5197)
- [UI] Dashboard service mesh proxy tooltip  @Chadha93 (#5202)
- Bump eslint-config-next from 11.1.3 to 12.1.0 in /provider-ui @dependabot (#5133)
- Bump @babel/traverse from 7.16.3 to 7.17.3 in /ui @dependabot (#5185)
- Bump eslint-config-airbnb from 18.2.1 to 19.0.4 in /ui @dependabot (#5186)
- [UI] Fixed Context Menu peek behaviour @NikhilSharma03 (#5188)
- Bump @fortawesome/free-brands-svg-icons from 5.15.4 to 6.0.0 in /ui @dependabot (#5155)
- [UI][Bug Hunt] Enabled clickaway feature on the context-switcher | CU-232yuch @asubedy (#5181)
- Bump lint-staged from 12.3.3 to 12.3.5 in /ui @dependabot (#5182)
- Bump billboard.js from 3.2.1 to 3.3.3 in /ui @dependabot (#5156)

## 🔋 Patterns, Filters, Applications

- Remove UUIDs from being service name of designs and add depends-on @Revolyssup (#5218)
- Add name field for pattern request to avoid "MesheryGeneratedPatternFile" @Revolyssup (#5207)
- [UI] Pattern update and delete handler call 🐛 bug fix  @Chadha93 (#5208)

## 🧰 Maintenance

- [CI] Update and add tests, glob expressions for backend files in CodeCov @alphaX86 (#5240)
- [Meshery] added cilium as component @piyushsingariya (#5234)
- Hardcoded image name for DDE @hershd23 (#5241)
- Workflow for Docker Desktop Extension @hershd23 (#5236)
- Fixed spacing on error message. @cpepper96 (#5230)
- [CI] Docs: Move to Ruby 2.7.5 @leecalcote (#5222)
- Bump next from 11.1.3 to 12.1.0 in /provider-ui @dependabot (#5089)
- Bump relay-runtime from 11.0.2 to 13.1.1 in /ui @dependabot (#5135)
- Bump eslint-config-next from 11.1.3 to 12.1.0 in /provider-ui @dependabot (#5133)
- Bump @babel/traverse from 7.16.3 to 7.17.3 in /ui @dependabot (#5185)
- Bump eslint-config-airbnb from 18.2.1 to 19.0.4 in /ui @dependabot (#5186)
- Bump fortio.org/fortio from 1.20.0 to 1.21.0 @dependabot (#5161)
- Bump @fortawesome/free-brands-svg-icons from 5.15.4 to 6.0.0 in /ui @dependabot (#5155)
- Bump lint-staged from 12.3.3 to 12.3.5 in /ui @dependabot (#5182)
- Bump billboard.js from 3.2.1 to 3.3.3 in /ui @dependabot (#5156)

## 📖 Documentation

- Update CONTRIBUTING.md @RakeshPotnuru (#5221)
- Update contributing-docs.md w/signoff @RakeshPotnuru (#5191)
- Added port 10013 to docs to reserve the port @hershd23 (#5179)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Chadha93, @MarioArriaga92, @NikhilSharma03, @RakeshPotnuru, @Revolyssup, @SAEb-ai, @alphaX86, @asubedy, @cpepper96, @dependabot, @dependabot[bot], @hershd23, @hexxdump, @l5io, @leecalcote, @piyushsingariya, @sourikghosh, @theBeginner86, @warunicorn19 and @zahertalab
