---
layout: release
date: 2022-05-09
tag: v0.6.0-rc.5q
---

## What's New
## 🔤 General
- [DDE] Support Login feature work with docker compose import  @sudo-NithishKarthik (#5490)
- [Server] Add version details for MeshSync and Broker @MUzairS15 (#5480)
- fix for meshery logo for dde @warunicorn19 (#5477)
- [DDE] [Refactor] Configure authentication with proxy  @sudo-NithishKarthik (#5467)
- added a lighter color and toaster @warunicorn19 (#5465)
- Added `namespaced` field into kubernetes oam definition.metadata @Revolyssup (#5447)
- Dde light mode support @warunicorn19 (#5439)
- Bump ejs from 3.1.6 to 3.1.7 in /install/docker-extension/ui @dependabot (#5436)
- updated image in dde description @warunicorn19 (#5425)
- Remove older hack for namespace creation @Revolyssup (#5423)
- [Chore] Makefile to display required golang version @leecalcote (#5417)
- removed elevation @warunicorn19 (#5416)
- added meshsync animation to dde @warunicorn19 (#5415)
- [mesheryctl] Improved UX for bash script installer @cpepper96 (#5371)
- Adds HPE Security Engineering as adopter @mchurichi (#5382)
- [Visualiser] Add Cluster Name To Visualiser @theBeginner86 (#5348)
- Fix failing kubeopenapi binary due to missing library @Revolyssup (#5373)
- [Docker Extension] Proxy: remove unnecessary caps @leecalcote (#5369)
- [CI] Made changes to Makefile to enforce usage of go v1.17.8 @asubedy (#5367)
- [DDE] Setup Golang proxy for the UI to be able to communicate with Meshery Server @sudo-NithishKarthik (#5365)
- [Bug] - Fixed Upstream URL Issue @adithyaakrishna (#5359)
- potential fix for dde icon @warunicorn19 (#5358)
- dde_css @warunicorn19 (#5356)
- Update ADOPTERS.md @samirparhi-dev (#5353)
- [CI] Workflow DDE @leecalcote (#5351)
- Changed Description @hershd23 (#5350)
- small changes in dde @warunicorn19 (#5347)
- added browse in dde @warunicorn19 (#5343)

## 🚀 Features

- [graphql] added kubectl describe graphql endpoint @piyushsingariya (#5391)

## ⌨️ Meshery CLI

- [mesheryctl] Fallback to force cleanup in system stop @piyushsingariya (#5429)
- updated_error_message @Akshit42-hue (#5424)
- [mesheryctl] Implement URL support for pattern delete @gr455 (#5404)
- fix the context parsing logic in system config subcommand #5408 @Revolyssup (#5411)
- [mesheryctl] fix the panic issue in system config minikube command @hexxdump (#5402)

## 🖥 Meshery UI

- Revert "[Extension] load only Single page extension on desktop-desktop env" @Abhishek-kumar09 (#5495)
- [Extension] load only Single page extension on desktop-desktop env @Abhishek-kumar09 (#5476)
- [UI] JSS: Dependency update @leecalcote (#5368)
- Bump eslint-plugin-import from 2.25.4 to 2.26.0 in /ui @dependabot (#5455)
- [Extension] Dependency: SwapCalls MUI icon @leecalcote (#5481)
- Bump react-slick from 0.28.1 to 0.29.0 in /ui @dependabot (#5453)
- Bump cron-time-generator from 1.2.2 to 1.3.0 in /ui @dependabot (#5461)
- Bump next from 12.1.4 to 12.1.5 in /provider-ui @dependabot (#5462)
- [UI]Changed zIndex of pattern Setting to stop overlapping it from the  form @Harshit-Dandriyal (#5468)
- [UI] [Server] Enhanced notification for MeshSync and Broker @MUzairS15 (#5444)
- [UI]All Context Chips are visible in Dashboard @Harshit-Dandriyal (#5435)
- Bump @material-ui/icons from 4.11.2 to 4.11.3 in /provider-ui @dependabot (#5460)
- Bump nodemon from 2.0.15 to 2.0.16 in /provider-ui @dependabot (#5449)
- [UI]Corrected boaard to board @Harshit-Dandriyal (#5445)
- Bump cypress from 9.5.3 to 9.6.0 in /provider-ui @dependabot (#5448)
- Bump immutable from 4.0.0-rc.15 to 4.0.0 in /ui @dependabot (#5450)
- [UI] add hook for disable page routing on unsaved contents @Abhishek-kumar09 (#5442)
- [UI] [Pattern] changed minor bugs on MesheryPattern.js @asubedy (#5406)
- [Extensions] Meshsync animation logo logic fix @Chadha93 (#5441)
- Added button for resetting Meshery database. @MUzairS15 (#5421)
- [Extension] fixes UI breaks in meshery-extension @Abhishek-kumar09 (#5420)
- Fix invalid metadata @warunicorn19 (#5418)
- increased size of tooltip @warunicorn19 (#5410)
- [UI] dev server build Failure due to eslint upgrades @Abhishek-kumar09 (#5403)
- Fix notifications not showing up. @MUzairS15 (#5401)
- [UI]Added arrow on hovering Collapsed SideNav @Harshit-Dandriyal (#5297)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI]Designed Multi Cluster Context Switcher Search Box and Chip @Harshit-Dandriyal (#5310)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- fix: extension class conflicts due to mui makestyles classNames conflicts @Abhishek-kumar09 (#5383)
- Fix: Select All not working @MUzairS15 (#5378)
- [UI] Card view of Design Page @asubedy (#5339)
- [Extension] Use loading component from extension point @Abhishek-kumar09 (#5372)
- [RJSF] Support Lazy loading of components tooltip in Exntension @Abhishek-kumar09 (#5363)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)

## 🔋 Patterns, Filters, Applications

- Specify namespace as default when missing @Revolyssup (#5413)
- Do not change service name in patternfile for designs unless duplicated @Revolyssup (#5400)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI] Card view of Design Page @asubedy (#5339)

## 🐛 Bug Fixes

- [Bug] Fix Panic @theBeginner86 (#5412)

## 🧰 Maintenance

- Bump eslint-plugin-import from 2.25.4 to 2.26.0 in /ui @dependabot (#5455)
- Bump github.com/jarcoal/httpmock from 1.1.0 to 1.2.0 @dependabot (#5482)
- Update to meshery-operator v0.5.4 @leecalcote (#5484)
- Bump github.com/99designs/gqlgen from 0.17.1 to 0.17.5 @dependabot (#5470)
- Bump github.com/prometheus/common from 0.32.1 to 0.34.0 @dependabot (#5474)
- Bump github.com/layer5io/meshsync from 0.5.0 to 0.5.3 @dependabot (#5464)
- Bump gorm.io/gorm from 1.23.4 to 1.23.5 @dependabot (#5456)
- Bump react-slick from 0.28.1 to 0.29.0 in /ui @dependabot (#5453)
- Bump cron-time-generator from 1.2.2 to 1.3.0 in /ui @dependabot (#5461)
- Bump google.golang.org/grpc from 1.45.0 to 1.46.0 @dependabot (#5457)
- Bump next from 12.1.4 to 12.1.5 in /provider-ui @dependabot (#5462)
- Bump github.com/vektah/gqlparser/v2 from 2.4.1 to 2.4.2 @dependabot (#5454)
- [CI] Update location of Dockerfile in testadapters.yaml workflow @leecalcote (#5469)
- Bump github.com/lib/pq from 1.10.4 to 1.10.5 @dependabot (#5458)
- Bump @material-ui/icons from 4.11.2 to 4.11.3 in /provider-ui @dependabot (#5460)
- Bump nodemon from 2.0.15 to 2.0.16 in /provider-ui @dependabot (#5449)
- Bump cypress from 9.5.3 to 9.6.0 in /provider-ui @dependabot (#5448)
- Bump immutable from 4.0.0-rc.15 to 4.0.0 in /ui @dependabot (#5450)
- [CI] Labeler Update with additional directories. @leecalcote (#5437)
- [WIP] Added workflow_call trigger to DDE workflow @hershd23 (#5431)
- [Lifecycle] Installation: Move away from git.io @leecalcote (#5432)
- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Implement docker-compose to kubernetes manifest conversion using Kompose @leecalcote (#5394)
- [CI] Helm: Upgrade Helm docs library @leecalcote (#5407)
- Remove wrk2 submodule @leecalcote (#5384)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- Revert "[CI] Use mesheryctl to start adapters in CI" @gr455 (#5379)
- fix(#5342): image version to edge-latest for meshery-perf @gkarthiks (#5344)
- [CI] Use mesheryctl to start adapters in CI @gr455 (#5361)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)
- Bump github.com/99designs/gqlgen from 0.17.1 to 0.17.2 @dependabot (#5324)
- [CI] Upgrade setup-go version @alphaX86 (#5354)
- [CI] Docker Extension for Meshery workflow @leecalcote (#5352)
- [CI] DDE: Fix release channel logic @leecalcote (#5349)
- Updated Contributing-gitflow(Readme) @Nandani-Paliwal (#5313)

## 📖 Documentation

- Install Instructions of Docker extenstion for Meshery @karnatisrinivas (#5491)
- Service Meshes update in Adapters section : PR for #5393 @karnatisrinivas (#5396)
- ruby_version_updated_in_docs @Akshit42-hue (#5466)
- [Lifecycle] Installation: Move away from git.io @leecalcote (#5432)
- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Bump nokogiri from 1.13.3 to 1.13.4 in /docs @dependabot (#5370)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Akshit42-hue, @Chadha93, @Harshit-Dandriyal, @MUzairS15, @Nandani-Paliwal, @Revolyssup, @adithyaakrishna, @alphaX86, @asubedy, @cpepper96, @dependabot, @dependabot[bot], @gkarthiks, @gr455, @hershd23, @hexxdump, @karnatisrinivas, @l5io, @leecalcote, @mchurichi, @piyushsingariya, @samirparhi-dev, @sudo-NithishKarthik, @theBeginner86, @warunicorn19 and Piyush Singariya
