---
layout: page
title: Supported Platforms
permalink: es/installation/platforms
language: es
type: installation
language: en
list: exclude
---

## Empezando a trabajar con otras Plataformas<a name="compatibility-matrix"></a>

La Tabla a continuación provee instrucciones de instalación para cada plataforma con la que Meshery es compatible:

| Plataforma                                                                                                                                                    |        Versión         |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | :--------------------: |
| <img src="/assets/img/platforms/docker.svg" width="20" height="20" /> [Docker]({{ site.baseurl }}/installation/platforms/docker)                              |                        |
| &nbsp;&nbsp;&nbsp; <img src="/assets/img/platforms/docker.svg" width="20" height="20" /> [Docker Engine]({{ site.baseurl }}/installation/platforms/docker)    |    19.x y superior     |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/docker.svg" width="20" height="20" /> [Docker Desktop]({{ site.baseurl }}/installation/platforms/docker)    |    2.0.x y superior    |
| <img src="/assets/img/platforms/kubernetes.svg" width="20" height="20" /> [Kubernetes]({{ site.baseurl }}/installation/platforms/kubernetes)                  |   1.12.x y superior    |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/aks.svg" width="20" height="20" /> [AKS]({{ site.baseurl }}/installation/platforms/aks)                     |                        |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/eks.png" width="20" height="20" /> [EKS]({{ site.baseurl }}/installation/platforms/eks)                     |   1.12.x y superior    |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/gke.png" width="20" height="20" /> [GKE]({{ site.baseurl }}/installation/platforms/gke)                     |   1.14.x y superior    |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/helm.svg" width="20" height="20" /> [Helm]({{ site.baseurl }}/installation/platforms/kubernetes#using-helm) |                        |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/kind.png" width="20" height="20" /> [KinD]({{ site.baseurl }}/installation/platforms/kind)                  |         v0.7.0         |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/minikube.png" width="20" height="20" /> [Minikube]({{ site.baseurl }}/installation/platforms/minikube)      |    1.2.x y superior    |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/openshift.svg" width="20" height="20" /> OpenShift                                                          |     En Desarrollo      |
| <img src="/assets/img/platforms/apple.svg" width="20" height="20" vertical-align="middle" /> [Mac]({{ site.baseurl }}/installation#mac-or-linux)              |                        |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/homebrew.png" width="20" height="20" /> [Mac - Homebrew]({{ site.baseurl }}/installation#mac-or-linux)      |                        |
| &nbsp;&nbsp;&nbsp; [Scoop]({{ site.baseurl }}/installation#windows)                                                                                           |                        |
| &nbsp;&nbsp;&nbsp;<img src="/assets/img/platforms/wsl2.png" width="20" height="20" /> [Windows]({{ site.baseurl }}/installation/platforms/windows)            | Build 18917 y superior |
| <img src="/assets/img/platforms/raspberry-pi.png" width="20" height="20" /> Raspberry Pi                                                                      |     En Desarrollo      |

